ISIS - UserTestPlan #4503

pds2isis - Pixel (Line/Sample) Projection Offset Issue
2016-11-01 10:55 AM - Tammy Becker

Status: Resolved Estimated time: 0.00 hour
Priority: Normal

Assignee: Robert Sucharski

Category: Applications

Target version: 3.5.0 (FY17 UserTestPlan Sprint #1)

Description

Mentor: Trent Hare

Importing external maps into ISIS; including maps originally generated by ISIS.

Related issues:

Related to ISIS - Bug #2244: Pixel (Line/Sample) Projection Offset Issue In Progress

History

#1 - 2016-11-01 10:55 AM - Tammy Becker
- Related to Bug #2244: Pixel (Line/Sample) Projection Offset Issue added

#2 - 2016-11-01 10:56 AM - Tammy Becker
- Target version set to 3.5.0 (FY17 UserTestPlan Sprint #1)

#3 - 2016-11-02 11:08 AM - Jason Laura

- Status changed from Acknowledged to New

#4 - 2016-11-02 11:38 AM - Jason Laura

- Status changed from New to Acknowledged

#5 - 2016-11-02 11:45 AM - Jason Laura
- Story points set to 2

#6 - 2016-11-02 03:03 PM - Robert Sucharski

- Assignee set to Robert Sucharski

#7 - 2016-11-02 03:04 PM - Robert Sucharski
- Status changed from Acknowledged to Assigned

#8 - 2016-11-02 03:19 PM - Robert Sucharski

- Status changed from Assigned to In Progress

#9 - 2016-11-04 09:17 AM - Trent Hare

Here are the steps to get ISIS to show you what should be the correct values for UpperLeftCornerX and UpperLeftCornerY.

download

http://pds-geosciences.wustl.edu/Iro/Iro-I-lola-3-rdr-vi/Irolol_1xxx/data/lola_gdr/cylindrical/img/ldem_4.Ibl

http://pds-geosciences.wustl.edu/Iro/Iro-I-lola-3-rdr-v1/Irolol_1xxx/data/lola_gdr/cylindrical/img/ldem_4.img

1.) run
pds2isis from=ldem_4.Ibl to=ldem_4.cub

these values are bad:
UpperLeftCornerX = -5450623.96
http://pds-geosciences.wustl.edu/lro/lro-l-lola-3-rdr-v1/lrolol_1xxx/data/lola_gdr/cylindrical/img/ldem_4.lbl
http://pds-geosciences.wustl.edu/lro/lro-l-lola-3-rdr-v1/lrolol_1xxx/data/lola_gdr/cylindrical/img/ldem_4.img

UpperLeftCornerY =2721521.56

2.) To have ISIS calculate the correct values we can run maplab
maplab from=ldem_4.cub map=Ildem_4.cub sample=0.5 line=0.5 coordinates=Ilatlon lat=90 lon=0

these are the correct values (or very close to) that pds2isis should be using in the label:
UpperLeftCornerX = -5458203.0763469
UpperLeftCornerY =2729101.5381735

-Trent

#10 - 2016-11-04 11:37 AM - Robert Sucharski

- Status changed from In Progress to In Review

#11 - 2016-11-08 01:09 PM - Tammy Becker

- Status changed from In Review to Resolved

The pds2isis testplan and command line script look complete.
